﻿
default jol = Character("Jolie")
default jolie_flags = []
default jolie_affection = 0
default jolie_likes = []
default jolie_dislikes = []


init python:
    def get_heros_items():
        items = []
        for i in hero.items:
            if i:
                items.append(i)
        return items
screen choose_a_gift(items = get_heros_items()):
    modal True
    button:
        background "#000a"
        action Return(False)

    frame:
        align .5,1.0 yoffset -250 background "#000a"
        hbox:
            box_wrap True spacing 4 box_wrap_spacing 4
            for i in items:
                button: # Item
                    xysize 68,68 padding 0,0 background "item_frame"
                    action Return(i)
                    tooltip i
                    fixed:
                        add i.item.icon
                        if i.quantity > 1:
                            text str(i.quantity) size 22 align 1.0,1.0

            if len(items) == 0:
                text "You have no items to give." color "#fe0"



label jolie:
    $ talking_to = jolie
    if "first" in jolie_flags:
        $ jolie.face(hero)
        menu:
            "Give a gift.":
                call screen choose_a_gift
                if _return == False:
                    pass
                elif _return in jolie_likes:
                    jol "Yay, a [_return.item.name]!"
                    jol "Thank you very much!"
                    $ hero.drop(_return)
                    $ jolie_affection += 5
                elif _return in jolie_dislikes:
                    jol "A [_return.item.name]?"
                    jol "Why would you bring me something like that?"
                else:
                    jol "A [_return.item.name]?"
                    jol "Sure, why not? Thanks."
                    $ hero.drop(_return)
                    $ jolie_affection += 1
            
            "Give food.":
                "Not ready yet"

            "Chitchat.":
                "Not ready yet."
    else:
        $ jolie.food = 13
        jol "Oh noo... How did you...{w=0.5}{nw}"
        $ jolie.face(hero, True)
        hiro "Hey... Wait!"
        $ jolie.face(hero)
        jol "Huh? You talk?"
        hiro "Of course."
        jol "And you're not a monster?"
        hiro "Of course not."
        jol "Then it works."
        hiro "What works?"
        $ jolie.direction = "up"
        jol "The pedestal."
        $ hero.direction = "up"
        "..."
        jol "It seems to keep the monsters away."
        hiro "Really?"
        $ jolie.face(hero)
        jol "Yes."
        $ hero.face(jolie)
        jol "They've been chasing me."
        jol "I've entered this room and there was no way out."
        jol "I thought I'm done. But none of them entered the room."
        jol "I've been hiding here since."
        hiro "For how long?"
        jol "Seems like a day. It's hard to tell."
        hiro "Yeah. Without any outside light, I've lost the track of time too."
        hiro "Speaking of, we should get out of here."
        jol "Do you know the way out?"
        hiro "No. I'm lost. I was hoping you know the way."
        jol "I'm lost as well."
        "..."
        hiro "We can search together."
        jol "I rather stay here. It seems safer."
        hiro "You shouldn't give up. We will get out of here."
        jol "I've been walking for days. This is the only place I could rest."
        jol "I'm scared, tired and ..."
        jol "Ummm..."
        jol "Do you have any food?"
        hiro "I have some bread."
        # give bread
        hiro "Here..."
        jol "Thank you."
        "..."
        hiro "I must get going then."
        jol "You can stay if you want."
        hiro "Don't worry, I'll come for you if I find a way out."
        jol "But..."
        hiro "Or I'll bring some food if I found some."
        jol "Yay... you're my hero emmm..."
        jol "What's your name?"
        # name input here
        jol "Nice to meet you [hiro.name]. My name is Jolie."
        hiro "Nice to meet you Jolie."
        "..."
        hiro "Alright..."
        jol "Wait! Take that stick with you."
        jol "It's better than nothing."
        hiro "Sure. Thank you."
        $ jolie_flags.append("first")
    $ talking_to = nobody
    window hide
    return
